const quizData = [
    {
        question: 'Qué es un dato?',
        a: "Es una de las cosas básicas que utliza un programa como una letra o un número.",
        b: "Es una de las cosas básicas que no utliza un programa como una letra o un número.",
        c: "Es un tipo de variable que ayuda a programar.",
        correct: "a",
    },
    {
        question: 'Qué es una variable?',
        a: "No es un nombre que se refiere a un dato",
        b: "Son declaraciones que ayudan a programar",
        c: "Es un nombre que se refiere a un dato",
        correct: "c",
    },
    {
        question: 'Cuáles son los tipos de variables?',
        a: "Entero, cadena de texto y flotante",
        b: "String y entero",
        c: "Entero y flotante",
        correct: "a",
    },
    {
        question: 'Cuál no es una regla de las variables?',
        a: "Pueden iniciar con un número",
        b: "No pueden llevar caracteres especiales",
        c: "No pueden llevar el nombre de palabras reservadas del lenguaje",
        correct: "a",
    },
    {
        question: 'Cuántos operadores aritméticos se vieron en la presentación?',
        a: "4",
        b: "5",
        c: "6",
        correct: "c",
    },
    {
        question: 'Cuantos subniveles tiene la jerarquía de Operaciones??',
        a: "5",
        b: "4",
        c: "3",
        correct: "b",
    },
    {
        question: 'Qué determina la jerarquía?',
        a: "El orden con el que deben realizarse esas operaciones",
        b: "El orden con el que no deben realizarse esas operaciones",
        c: "No determina ningun orden",
        correct: "a",
    },
    {
        question: 'Qué son los operadores?',
        a: "Los operadores son símbolos especiales que representan cálculos, como la suma o la multiplicación.",
        b: "Los operadores no son símbolos especiales que representan cálculos, como la suma o la multiplicación.",
        c: "Los operadores son símbolos especiales que no representan cálculos, como la suma o la multiplicación.",
        correct: "a",
    },
    {
        question: 'Elija un ejemplo de tipo entero',
        a: "number = int (9.99)",
        b: "float pi = 3.14f",
        c: "new_string = 'hola'",
        correct: "a",
    },
    {
        question: '5 es un dato?',
        a: "Falso",
        b: "Verdadero",
        c: "Es un string,",
        correct: "b",
    },
];

const quiz= document.getElementById('quiz')
const answerEls = document.querySelectorAll('.answer')
const questionEl = document.getElementById('question')
const a_text = document.getElementById('a_text')
const b_text = document.getElementById('b_text')
const c_text = document.getElementById('c_text')
const submitBtn = document.getElementById('submit')


let currentQuiz = 0
let score = 0

loadQuiz()

function loadQuiz() {

    deselectAnswers()

    const currentQuizData = quizData[currentQuiz]

    questionEl.innerText = currentQuizData.question
    a_text.innerText = currentQuizData.a
    b_text.innerText = currentQuizData.b
    c_text.innerText = currentQuizData.c
}

function deselectAnswers() {
    answerEls.forEach(answerEl => answerEl.checked = false)
}

function getSelected() {
    let answer
    answerEls.forEach(answerEl => {
        if(answerEl.checked) {
            answer = answerEl.id
        }
    })
    return answer
}


submitBtn.addEventListener('click', () => {
    const answer = getSelected()
    if(answer) {
       if(answer === quizData[currentQuiz].correct) {
           score++
       }

       currentQuiz++

       if(currentQuiz < quizData.length) {
           loadQuiz()
       } else {
           quiz.innerHTML = `
           <h2>Contestaste ${score}/${quizData.length} preguntas correctamente</h2>

           <button3 onclick="location.reload()">Intentalo nuevamente</button3>
           `
       }
    }
})